Create Faxes
Sandbox is coming soon
Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.
Authorization
AuthToken X-Auth-Token<token>
Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.
In: header
Path Parameters
account_id*string
Vinix account identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/accounts/string/faxes" \ -H "Content-Type: application/json" \ -d '{ "data": { "from_number": "string", "to_number": "string" } }'{
"data": {
"attempts": 0,
"document": {
"content": "string",
"content_type": "string",
"host": "string",
"method": "get",
"referer": "string",
"url": "string"
},
"from_name": "string",
"from_number": "string",
"notifications": {
"email": {
"send_to": [
"[email protected]"
]
},
"sms": {
"send_to": [
"string"
]
}
},
"retries": 1,
"to_name": "string",
"to_number": "string",
"tx_result": {
"error_message": "",
"fax_bad_rows": 0,
"fax_error_correction": false,
"fax_receiver_id": "",
"fax_speed": 0,
"pages_sent": 0,
"success": false,
"time_elapsed": 0
}
}
}{
"code": "string",
"message": "string",
"request_id": "string"
}{
"code": "string",
"message": "string",
"request_id": "string"
}{
"code": "string",
"message": "string",
"request_id": "string"
}
